package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.channel.BalanceLog;

import java.util.List;

/**
 *  余额变动日志表接口
 * @author xm
 * @Date 2018-07-24
 */
public interface BalanceLogMapper {
    /**
     * 获取集合
     * @param  balanceLog
     * @return List
     */
    List<BalanceLog> getBalanceLogList(BalanceLog  balanceLog);
    /**
     * 查询单条数据
     * @param  id
     * @return  balanceLog
     */
    BalanceLog  getBalanceLogById(Integer  id);
    /**
     * 增加数据
     * @param  balanceLog
     * @return Integer
     */
    Integer  save(BalanceLog  balanceLog);
    /**
     * 修改数据
     * @param  balanceLog
     * @return Integer
     */
    Integer  update(BalanceLog  balanceLog);
}